View Issue Details

IDProjectCategoryView StatusLast Update
0011933LazarusIDEpublic2011-12-01 11:22
ReporterGraeme GeldenhuysAssigned ToPaul Ishenin 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformx86OSUbuntu LinuxOS Version7.10
Product Version0.9.25 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0011933: Using the Jedi Code Formatter inside IDE
DescriptionMattias and I spoke about this months ago. The idea of building a code formatter into the Lazarus IDE. An excellent code formatter is the Jedi Code Formatter (JCF), available on SourceForge. At the time of the discussion, we couldn't use JCF with Lazarus because of licensing issues. I contacted the author and he kindly agreed to dual license JCF so we could use it in the Lazarus project (also mention on their homepage).

Since then, nothing happened... I know we are all busy people, but thought I would put it up as a feature request - if anybody has some space time. ;-)

JCF is truly a very powerful code formatter and has an unbelievable amount of options to tweak.

Homepage:
  http://jedicodeformat.sourceforge.net/

And some examples:
  http://jedicodeformat.sourceforge.net/examples.html


TagsNo tags attached.
Fixed in Revision
LazTarget1.0
Widgetset
Attached Files

Activities

Vincent Snijders

2008-08-20 14:39

manager   ~0021527

Some follow up, in case you missed:
http://sourceforge.net/forum/forum.php?thread_id=2031598&forum_id=136082

Work on porting:
http://jedicodeformat.svn.sourceforge.net/viewvc/jedicodeformat?view=rev&revision=623
http://jedicodeformat.svn.sourceforge.net/viewvc/jedicodeformat?view=rev&revision=625
http://jedicodeformat.svn.sourceforge.net/viewvc/jedicodeformat?view=rev&revision=627
http://jedicodeformat.svn.sourceforge.net/viewvc/jedicodeformat?view=rev&revision=628
http://jedicodeformat.svn.sourceforge.net/viewvc/jedicodeformat?view=rev&revision=629

Paul Ishenin

2008-08-20 15:40

manager   ~0021532

Graeme, as Vincent pointed the work has been already started. But 0.9.26 needs some attention too and I considered to start heavy porting for 0.9.28. Firstly I will add jcf to the lazarus svn and then we will need to remove JCL dependency, convert some forms and so on. Your contribution to that project will be very apriciated.

Graeme Geldenhuys

2008-08-20 16:08

reporter   ~0021533

Thanks Vincent and Paul for the information. When the time comes, I'll be happy to help with the port. JCF will be a huge addition to Lazarus IDE! :)

Paul Ishenin

2009-12-13 13:52

manager   ~0033030

The first part was implemented in 0.9.28 and starting from r23118 it is possible to manage JCF settings from the IDE.

Please test and close if ok.

Issue History

Date Modified Username Field Change
2008-08-20 14:09 Graeme Geldenhuys New Issue
2008-08-20 14:09 Graeme Geldenhuys Widgetset => GTK, GTK 2, Win32, WinCE, Carbon, QT, fpGUI
2008-08-20 14:39 Vincent Snijders Note Added: 0021527
2008-08-20 15:36 Paul Ishenin Status new => assigned
2008-08-20 15:36 Paul Ishenin Assigned To => Paul Ishenin
2008-08-20 15:40 Paul Ishenin LazTarget => 0.9.28
2008-08-20 15:40 Paul Ishenin Note Added: 0021532
2008-08-20 16:08 Graeme Geldenhuys Note Added: 0021533
2008-08-28 18:44 Mattias Gaertner Widgetset GTK, GTK 2, Win32, WinCE, Carbon, QT, fpGUI =>
2008-09-15 14:39 Vincent Snijders Target Version => 0.9.27 (SVN)
2008-09-26 21:31 Vincent Snijders Target Version 0.9.27 (SVN) => 0.9.28
2009-04-17 09:03 Paul Ishenin LazTarget 0.9.28 => 1.0
2009-04-17 09:03 Paul Ishenin Target Version 0.9.28 => 1.0.0
2009-12-13 13:52 Paul Ishenin Status assigned => resolved
2009-12-13 13:52 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-13 13:52 Paul Ishenin Resolution open => fixed
2009-12-13 13:52 Paul Ishenin Note Added: 0033030
2011-12-01 11:22 Marc Weustink Status resolved => closed